import React from 'react';
import PureRenderMixin from 'react-addons-pure-render-mixin';
import StoreMixin from 'lib/StoreMixin';
import UIStore from 'stores/UI';
import Section from './Section';

import './index.css';

const EditableSection = React.createClass({

    mixins: [StoreMixin, PureRenderMixin],

    getStoreState() {
        return { key: this.hashCode() };
    },

    componentDidMount() {
        this.subscribe(UIStore);
    },

    render() {
        return UIStore.getOrgProfileCard() || <Section />;
    },

});

EditableSection.propTypes = {

};

export default EditableSection;
